Package com.independentsoft.office.word

# Class RangePermissionStart

java.lang.Object
com.independentsoft.office.word.RangePermissionStart

All Implemented Interfaces:
  `IContentElement`, `IBlockContent`, `IBlockElement`, `IContentRunContent`, `IParagraphContent`, `IRunLevelElement`, `IRunTrackChangeContent`, `IMathElement`, `ICellContent`, `IRowContent`

public class RangePermissionStart extends Object implements IRunLevelElement
The Class RangePermissionStart.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RangePermissionStart()`
  Instantiates a new range permission start.
  `RangePermissionStart​(InternalXMLStreamReader reader)`
  Instantiates a new range permission start.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RangePermissionStart`
  `clone()`
  `List<IContentElement>`
  `getContentElements()`
  `DisplacedByCustomXml`
  `getDisplacedByCustomXml()`
  Gets the displaced by custom xml.
  `RangePermisionEditingGroup`
  `getEditingGroup()`
  Gets the editing group.
  `int`
  `getFirstColumn()`
  Gets the first column.
  `String`
  `getID()`
  Gets the id.
  `int`
  `getLastColumn()`
  Gets the last column.
  `String`
  `getUser()`
  Gets the user.
  `void`
  `setDisplacedByCustomXml​(DisplacedByCustomXml displacedByCustomXml)`
  Sets the displaced by custom xml.
  `void`
  `setEditingGroup​(RangePermisionEditingGroup editingGroup)`
  Sets the editing group.
  `void`
  `setFirstColumn​(int firstColumn)`
  Sets the first column.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setLastColumn​(int lastColumn)`
  Sets the last column.
  `void`
  `setUser​(String user)`
  Sets the user.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RangePermissionStart

    public RangePermissionStart()
    Instantiates a new range permission start.

  - ### RangePermissionStart

    public RangePermissionStart​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new range permission start.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public RangePermissionStart clone()
    Specified by:
      `clone` in interface `IBlockContent`
    Specified by:
      `clone` in interface `IBlockElement`
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IContentRunContent`
    Specified by:
      `clone` in interface `IMathElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in interface `IRowContent`
    Specified by:
      `clone` in interface `IRunLevelElement`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDisplacedByCustomXml

    public DisplacedByCustomXml getDisplacedByCustomXml()
    Gets the displaced by custom xml.
    Returns:
      the displaced by custom xml

  - ### setDisplacedByCustomXml

    public void setDisplacedByCustomXml​(DisplacedByCustomXml displacedByCustomXml)
    Sets the displaced by custom xml.
    Parameters:
      `displacedByCustomXml` - the new displaced by custom xml

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getUser

    public String getUser()
    Gets the user.
    Returns:
      the user

  - ### setUser

    public void setUser​(String user)
    Sets the user.
    Parameters:
      `user` - the new user

  - ### getEditingGroup

    public RangePermisionEditingGroup getEditingGroup()
    Gets the editing group.
    Returns:
      the editing group

  - ### setEditingGroup

    public void setEditingGroup​(RangePermisionEditingGroup editingGroup)
    Sets the editing group.
    Parameters:
      `editingGroup` - the new editing group

  - ### getFirstColumn

    public int getFirstColumn()
    Gets the first column.
    Returns:
      the first column

  - ### setFirstColumn

    public void setFirstColumn​(int firstColumn)
    Sets the first column.
    Parameters:
      `firstColumn` - the new first column

  - ### getLastColumn

    public int getLastColumn()
    Gets the last column.
    Returns:
      the last column

  - ### setLastColumn

    public void setLastColumn​(int lastColumn)
    Sets the last column.
    Parameters:
      `lastColumn` - the new last column